/*
Theme Name: 26 Spring
Theme URI: https://wordpress.org/themes/twentytwentytwo/
Author: the WordPress team
Author URI: https://wordpress.org/
Template: twentytwentytwo
Description: Built on a solidly designed foundation, Twenty Twenty-Two embraces the idea that everyone deserves a truly unique website. The theme’s subtle styles are inspired by the diversity and versatility of birds: its typography is lightweight yet strong, its color palette is drawn from nature, and its layout elements sit gently on the page. The true richness of Twenty Twenty-Two lies in its opportunity for customization. The theme is built to take advantage of the Full Site Editing features introduced in WordPress 5.9, which means that colors, typography, and the layout of every single page on your site can be customized to suit your vision. It also includes dozens of block patterns, opening the door to a wide range of professionally designed layouts in just a few clicks. Whether you’re building a single-page website, a blog, a business website, or a portfolio, Twenty Twenty-Two will help you create a site that is uniquely yours.
Requires at least: 5.9
Tested up to: 5.9
Requires PHP: 5.6
Version: 1.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: 23 Spring
Tags: one-column, custom-colors, custom-menu, custom-logo, editor-style, featured-images, full-site-editing, block-patterns, rtl-language-support, sticky-post, threaded-comments

Twenty Twenty-Two WordPress Theme, (C) 2021 WordPress.org
Twenty Twenty-Two is distributed under the terms of the GNU GPL.
*/

/*
 * Font smoothing.
 * This is a niche setting that will not be available via Global Styles.
 * https://github.com/WordPress/gutenberg/issues/35934
 */

/* Animated Header 
 * http://dev.jennymag.org/wp-content/uploads/2022/03/BannerAnim60.mp4
 * */

/* Color variable. Huh. New to me.*/

/* Typography */
@font-face {
	font-family: "heading";
	src: url("machauer.ttf");
}

:root {
  --jennyaccent: #537d91;
  --jennyheading: #285787;
  --background: #fffbf7;
  --wp--preset--color--primary: #537d91;
  --heading-font: "heading";
}

body nav h1, body nav h2, body nav h3, body nav h4, body nav h5, body nav h6, .piecetitle a, .wp-block-navigation-item__label, .wp-block-navigation-item__content {
	font-family: --var(heading);
	text-decoration: none !important;
	font-weight:bold;
}


/* white background for whole title heading */

.pieceauthor {
    margin: 0px 0px 0px 50px !important;
}



.piecetitle:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  border-width: 0 16px 16px 0;
  border-style: solid;
  border-color: #FFF rgba(0, 0, 0, 0);
}


.wp-block-navigation-item__content {
	filter: drop-shadow(5px 5px 3px rgba(0, 0, 0, .3));;
}

.wp-block-columns h1, .wp-block-columns h2, .wp-block-columns h3, .wp-block-columns h4, .wp-block-columns h5, .wp-block-columns h6, .pieceauthor, .wp-block-media-text__content h3 a {
    font-family: var(--heading-font) !important;
    text-decoration: none !important;
}

h1.wp-block-site-title {
	margin: 15px 12px 15px 0px !important; 
}

/* Piece titles (custom H3 style) */

.piecetitle {
	margin: 50px 50px 0px 50px !important;
	font-size: 2rem;
}

.piecetitle a {
}

.wp-block-post-title {
	margin-left:0px !important;
	padding-left:0px !important;
}

/* Menu item color. for the eyegrabbers on donating and submitting*/
.highlight a {
    background-color: var(--jennyaccent) !important;
}

nav, wp-block-navigation__container li, .wp-block-navigation {
	background-color: none !important;
}

.entry-content p , .entry-content span, .entry-content a {
	font-family: sans-serif;
	}

.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6, .entry-content a, .wp-block-post-title {
	font-family: var(--heading-font) !important;
	color: var(--jennyheading) !important;
}

.wp-block-pullquote {
	border-color: var(--jennyheading) !important;
}	

.wp-block-columns {
	background: var(--background);
	max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
	padding:30px;
	opacity: 90%;
}

/* Background */

.wp-site-blocks {
	background-color: #bbb2b2;
	background-size: cover;
    background-attachment: fixed;
	background-image: url("jeff-beede-8.jpg");
	background-position: center bottom;
}

/* is-style-fill fix to make link text white */

.is-style-fill a{
	color: #FFF !important;
}

/* menu margin */ 

.wp-block-navigation {
    margin: 10px;
}

/* fix weird gap at bottom */

.wp-block-columns {
	margin-bottom: 20px;
}





/* Not sure how much of this I have touched, just spacing it from the rest of my major edits */ 

/*.wp-block-post-content {
max-width: 1000px;
margin-left: auto;
margin-right: auto;
}
*/

}


body {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

/*
 * Text and navigation link styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

a {
	text-decoration-thickness: 1px;
	text-underline-offset: 0.25ch;
}

a:hover,
a:focus {
	text-decoration-style: dashed;
}

a:active {
	text-decoration: none;
}

.wp-block-navigation .wp-block-navigation-item a:hover,
.wp-block-navigation .wp-block-navigation-item a:focus {
	text-decoration: underline;
	text-decoration-style: solid;
}

/*
 * Search and File Block button styles.
 * Necessary until the following issues are resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/36444
 * https://github.com/WordPress/gutenberg/issues/27760
 */

.wp-block-search__button,
.wp-block-file .wp-block-file__button {
	background-color: var(--wp--preset--color--primary);
	border-radius: 0;
	border: none;
	color: var(--wp--preset--color--background);
	font-size: var(--wp--preset--font-size--medium);
	padding: calc(.667em + 2px) calc(1.333em + 2px);
}

/*
 * Button hover styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

.wp-block-search__button:hover,
.wp-block-file .wp-block-file__button:hover,
.wp-block-button__link:hover {
	opacity: 0.90;
}

/*
 * Alignment styles.
 * These rules are temporary, and should not be relied on or
 * modified too heavily by themes or plugins that build on
 * Twenty Twenty-Two. These are meant to be a precursor to
 * a global solution provided by the Block Editor.
 *
 * Relevant issues:
 * https://github.com/WordPress/gutenberg/issues/35607
 * https://github.com/WordPress/gutenberg/issues/35884
 */

.wp-site-blocks,
body > .is-root-container,
.edit-post-visual-editor__post-title-wrapper,
.wp-block-group.alignfull,
.wp-block-group.has-background,
.wp-block-cover.alignfull,
.is-root-container .wp-block[data-align="full"] > .wp-block-group,
.is-root-container .wp-block[data-align="full"] > .wp-block-cover {
	padding-left: var(--wp--custom--spacing--outer);
	padding-right: var(--wp--custom--spacing--outer);
	padding-bottom: 50px;
}

.wp-site-blocks .alignfull,
.wp-site-blocks > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-cover,
.wp-site-blocks > .wp-block-template-part > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-template-part > .wp-block-cover,
body > .is-root-container > .wp-block-cover,
body > .is-root-container > .wp-block-template-part > .wp-block-group.has-background,
body > .is-root-container > .wp-block-template-part > .wp-block-cover,
.is-root-container .wp-block[data-align="full"] {
	margin-left: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	margin-right: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	width: unset;
}

/* Blocks inside columns don't have negative margins. */
.wp-site-blocks .wp-block-columns .wp-block-column .alignfull,
.is-root-container .wp-block-columns .wp-block-column .wp-block[data-align="full"],
/* We also want to avoid stacking negative margins. */
.wp-site-blocks .alignfull:not(.wp-block-group) .alignfull,
.is-root-container .wp-block[data-align="full"] > *:not(.wp-block-group) .wp-block[data-align="full"] {
	margin-left: auto !important;
	margin-right: auto !important;
	width: inherit;
}

/*
 * Responsive menu container padding.
 * This ensures the responsive container inherits the same
 * spacing defined above. This behavior may be built into
 * the Block Editor in the future.
 */

.wp-block-navigation__responsive-container.is-menu-open {
	padding-top: var(--wp--custom--spacing--outer);
	padding-bottom: var(--wp--custom--spacing--large);
	padding-right: var(--wp--custom--spacing--outer);
	padding-left: var(--wp--custom--spacing--outer);
}


.vidoverlay {
	padding-top: 10px;
    padding-right: 50px;
    padding-bottom: 0px;
    padding-left: 50px;
    width: 100%;
    background-color: #eeeeee87;
    z-index: 10000;
    align-self: flex-end;
    text-align: left;	
	margin-bottom: 0px !important;
}

.vidwrapper {
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;

}

video {
  object-fit: cover;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;	
}

.navsquish {
	margin-top: 0px !important;
}


/* minor adjustments for mobile, small step shrink */

@media screen and (max-width: 1000px) {
  video { height:300px; } 
  div.wp-block-site-logo { display: none; }
}

@media screen and (max-width: 800px) {
  video { height:300px; } 
  div.wp-block-site-logo: { display: none; }
}

@media screen and (max-width: 600px) {
  video { height:275px; } 
  div.wp-block-site-logo: { display: none; }
}